MLAPI API Reference

# NetworkPoolManager
DestroyPoolObject Method

[This is preliminary documentation and is subject to change.]

Destroys a NetworkedObject if it's part of a pool. Use this instead of the MonoBehaviour Destroy method. Can only be called from Server.

Namespace: MLAPI.NetworkingManagerComponents.Core
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static void DestroyPoolObject(
    	NetworkedObject netObject
    )

Request Example
View Source

#### Parameters

netObject
  Type: MLAPI.MonoBehaviours.Core
  NetworkedObject
  The NetworkedObject instance to destroy

See Also

#### Reference

NetworkPoolManager Class
MLAPI.NetworkingManagerComponents.Core Namespace